Subject: Re: [PATCH net-next] r8169: reduce number of workaround doorbell rings

From: [email-masked]
Date: Sat, 21 Nov 2020 02:40:05 +0000

Hello:

This patch was applied to netdev/net-next.git (refs/heads/master):

On Thu, 19 Nov 2020 21:57:27 +0100 you wrote:
> Some chip versions have a hw bug resulting in lost door bell rings.
> To work around this the doorbell is also rung whenever we still have
> tx descriptors in flight after having cleaned up tx descriptors.
> These PCI(e) writes come at a cost, therefore let's reduce the number
> of extra doorbell rings.
> If skb is NULL then this means:
> - last cleaned-up descriptor belongs to a skb with at least one fragment
>   and last fragment isn't marked as sent yet
> - hw is in progress sending the skb, therefore no extra doorbell ring
>   is needed for this skb
> - once last fragment is marked as transmitted hw will trigger
>   a tx done interrupt and we come here again (with skb != NULL)
>   and ring the doorbell if needed
> Therefore skip the workaround doorbell ring if skb is NULL.
> 
> [...]

Here is the summary with links:
  - [net-next] r8169: reduce number of workaround doorbell rings
    https://git.kernel.org/netdev/net-next/c/94d8a98e6235

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html